Skip to main content
PATCH
/
evaluation-platform
/
v1
/
exam
/
{examId}
/
answer-sheet
/
{id}
Update student answer sheet for an exam
curl --request PATCH \
  --url https://api-staging.crazygoldfish.com/evaluation-platform/v1/exam/{examId}/answer-sheet/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form documents='@example-file' \
  --form fileUrl=https://cdn.example.com/answer-sheet/answer-sheet-101.pdf \
  --form isFinal=true
{
  "id": "f5f2576f-1e3a-4869-88ae-a2c6cd2b9eab",
  "studentId": "2017009807",
  "instituteId": "98765",
  "teacherId": "54321",
  "studentName": "John Doe",
  "parentId": "11223",
  "documents": [
    {
      "id": "10d5661d-df3a-4d22-aa58-fddfa1230040",
      "status": 1,
      "pageNo": null,
      "uploadTime": "2025-01-06T12:28:22.992639Z",
      "url": "https://cgfblob.blob.core.windows.net/ielts/evaluation/2017009807.pdf",
      "fileType": 1
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.crazygoldfish.com/llms.txt

Use this file to discover all available pages before exploring further.

Video link - https://youtu.be/3Xh1BQpzlcs?si=4EKU4MeoY60VfW7I

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

examId
string
required
Example:

"4340132f-50fa-4877-9ffa-e9b7ee59d51f"

id
string
required
Example:

"f5f2576f-1e3a-4869-88ae-a2c6cd2b9eab"

Body

The details to update for the student answer sheet.

documents
file

The student answer file to be uploaded.

fileUrl
string<uri>

Public HTTPS URL to a PDF. Use instead of uploading documents. The URL must be publicly accessible without authentication and must end with a .pdf extension.

Example:

"https://cdn.example.com/answer-sheet/answer-sheet-101.pdf"

isFinal
boolean

After successfully uploaded files pass this parameter as true for the extraction for your exam.

Example:

true

Response

Successful response

id
string

Unique identifier of the student answer sheet

Example:

"f5f2576f-1e3a-4869-88ae-a2c6cd2b9eab"

studentId
string

Unique identifier of the student

Example:

"2017009807"

instituteId
string

Unique identifier of the institute

Example:

"98765"

teacherId
string

Unique identifier of the teacher

Example:

"54321"

studentName
string

Name of the student

Example:

"John Doe"

parentId
string

Unique identifier of the parent

Example:

"11223"

documents
object[]

List of documents associated with the student answer sheet